Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class AccessRule

- org.gradle.plugins.ide.eclipse.model.AccessRule

- Access rule associated to a classpath entry.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AccessRule (String kind, String pattern)`
    `AccessRule (Object kind, Object pattern)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getKind()`
    `String` | `getPattern()`
    `int` | `hashCode()`
    `void` | `setKind(String kind)`
    `void` | `setPattern(String pattern)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AccessRule(String kind, String pattern)

    - #### @Deprecated public AccessRule(Object kind, Object pattern)

  - ### Method Detail

    - #### @Override public boolean equals(Object o)

    - #### public String getKind()

    - #### public String getPattern()

    - #### @Override public int hashCode()

    - #### public void setKind(String kind)

    - #### public void setPattern(String pattern)

    - #### @Override public String toString()